import React, { useState, useEffect } from 'react';
import { csv } from 'd3';
const csvUrl =
  'https://gist.githubusercontent.com/Dhanu0725/9b5348bd1824b2dfad77964505edd8ec/raw/101b34a631884e668c512e6303cb619666d8ccc2/Daily_Climate_Data.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.DATE = new Date(d.DATE);
      d.DailyPeakWindSpeed = +d.DailyPeakWindSpeed;
      d.DailyAverageWindSpeed = +d.DailyAverageWindSpeed;
      d.DailyAverageStationPressure = +d.DailyAverageStationPressure;
      d.DailyPeakWindDirection = +d.DailyPeakWindDirection;
      d.DailySustainedWindDirection = +d.DailySustainedWindDirection;
      d.DailySustainedWindSpeed = +d.DailySustainedWindSpeed;
      d.NAME = d.STATION;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};